## stda 1.0

=== Makefile ===
#
# Makefile for STDA
#

PNAME = stda
VERSION = VERSION
DIR_SRC = src
DOC_MAN = $(DIR_SRC)/$(PNAME).1
DOC_TEXT = $(DIR_SRC)/$(PNAME).txt
PROGS = $(DIR_SRC)/maphimbu $(DIR_SRC)/mintegrate $(DIR_SRC)/mmval $(DIR_SRC)/nnum $(DIR_SRC)/muplot $(DIR_SRC)/prefield
MAN_PAGES = $(DIR_SRC)/maphimbu.1 $(DIR_SRC)/mintegrate.1 $(DIR_SRC)/mmval.1 $(DIR_SRC)/nnum.1 $(DIR_SRC)/muplot.1 $(DIR_SRC)/prefield.1


# Installation directories (default)
base   = /usr/local
bindir = $(base)/bin
mandir = $(base)/man/man1
# Installation directories (Debian)
bindeb = usr/bin
mandeb = usr/share/man/man1
docdeb = usr/share/doc/$PNAME


all: $(VERSION) manpages
	@echo Done.

$(VERSION):
	expr `pwd` : ".*$(PNAME)-\([0-9\.]*\)" > $(VERSION)

manpages: $(DOC_MAN) $(MAN_PAGES) $(PROGS)

$(DOC_MAN): README show_package_desc.sh
	rm -f tar.stamp
	pname="`grep '       .*\(.*\)' README |tr -s ' '`" ; \
	help2man -N -n "$$pname" ./show_package_desc.sh \
		|sed -e 's/\([( ]\)\\fB/\1/g;' > $@

%.1: %
	rm -f tar.stamp
	fname=`basename $<` ; \
	$< --help \
		|sed -ne "s/Usage:\s*/[SYNOPSIS]\n/; /SYNOPSIS/,+1p;" \
		|grep -v Options: \
	> $(DIR_SRC)/synopsis.txt ; \
	pname="`$< -h |grep ^$$fname |cut -f2- -d:`" ; \
	help2man -N -n "$$pname" -I $(DIR_SRC)/synopsis.txt $< \
		|sed -e 's/\([( ]\)\\fB/\1/g; s/\([^\\]\)-/\1\\-/g; s/\([^\\]\)-/\1\\-/g;' \
	> $<.1 ; \
	rm -f tar.stamp $(DIR_SRC)/synopsis.txt

update:
	cd $(DIR_SRC) && ls -1 \
		|grep -v \.1$ \
		|while read f; \
		do diff -q ~/bin/$$f $$f >/dev/null || cp -p ~/bin/$$f .; \
		done	

install:
	if [ -n "$(DESTDIR)" ] ; then \
		DESTBIN=$(DESTDIR)/$(bindeb) ; \
		DESTMAN=$(DESTDIR)/$(mandeb) ; \
	else \
		DESTBIN=$(bindir) ; \
		DESTMAN=$(mandir) ; \
	fi ; \
	./install.sh install --quiet --bin-dir=$$DESTBIN --man-dir=$$DESTMAN

uninstall:
	if [ -n "$(DESTDIR)" ] ; then \
		DESTBIN=$(DESTDIR)/$(bindeb) ; \
		DESTMAN=$(DESTDIR)/$(mandeb) ; \
	else \
		DESTBIN=$(bindir) ; \
		DESTMAN=$(mandir) ; \
	fi ; \
	./install.sh uninstall --quiet --bin-dir=$$DESTBIN --man-dir=$$DESTMAN

clean:
	rm -f $(DIR_SRC)/$(PNAME).1 $(MAN_PAGES) $(VERSION) tar.stamp

tar: all tar.stamp

tar.stamp: NEWS
	touch tar.stamp ; \
	vers=`cat $(VERSION)` ; \
	ups=`test -f debian/changelog && \
		awk 'NR==3 {print $0}' debian/changelog | \
		grep -i 'new upstream' >/dev/null 2>&1 && echo 0` ; \
	exclude="--exclude=debian --exclude=*-stamp --exclude=*.stamp\
		--exclude=.*.swp" ; \
	GZIP=--best ; \
	export GZIP ; \
	cd .. && tar czpvf $(PNAME)-$$vers.tar.gz $(PNAME)-$$vers $$exclude ; \
	if [ $$ups ]; then \
	     cp -p $(PNAME)-$$vers.tar.gz $(PNAME)_$$vers.orig.tar.gz ; \
	fi

tar-full: all
	vers=`cat $(VERSION)` ; \
	dvers=`test -f debian/changelog && \
	       sed -n '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
	exclude="--exclude=.*.swp" ; \
	GZIP=--best ; \
	export GZIP ; \
	if [ $$dvers ]; then \
		cd .. && \
		tar czpvf $(PNAME)_$$dvers.full.tar.gz $(PNAME)-$$vers $$exclude ; \
	fi

debsrc: tar tar-full
	debuild -S

packages: tar tar-full
	@( debuild && debuild clean && \
	dvers=`test -f debian/changelog && \
	       sed -n '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` && \
	echo "" && \
	echo Trying to convert $(PNAME)_$${dvers}_all.deb to .rpm && \
	su -c "umask 022 && alien -k -r ../$(PNAME)_$${dvers}_all.deb" && \
	mv -f *.rpm .. )

sums:
	@vers=`cat $(VERSION)` ; \
	dvers=`sed -n '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
	cd .. && \
	sha1sum $(PNAME)-$$vers.tar.gz $(PNAME)-$$dvers.noarch.rpm \
		> $(PNAME)-$$vers.sha1

## stda 1.1

=== Makefile ===
--- 
+++ 
@@ -31,12 +31,11 @@
 
 $(DOC_MAN): README show_package_desc.sh
 	rm -f tar.stamp
-	pname="`grep '       .*\(.*\)' README |tr -s ' '`" ; \
+	pname="`grep -iE ' \($(PNAME)\)' README |tr -s ' '`" ; \
 	help2man -N -n "$$pname" ./show_package_desc.sh \
 		|sed -e 's/\([( ]\)\\fB/\1/g;' > $@
 
 %.1: %
-	rm -f tar.stamp
 	fname=`basename $<` ; \
 	$< --help \
 		|sed -ne "s/Usage:\s*/[SYNOPSIS]\n/; /SYNOPSIS/,+1p;" \

=== debian/changelog ===
stda (1.1-2) unstable; urgency=low

  * debian package source format changed to 3.0 (quilt)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Fri, 03 Jun 2011 17:42:12 +0200

stda (1.1-1) unstable; urgency=low

  * New upstream release

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Wed, 01 Jun 2011 17:01:23 +0200

stda (1.0-2) unstable; urgency=low

  * debian/dirs not needed and hence removed

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Mon, 19 Oct 2009 21:22:21 +0200

stda (1.0-1) unstable; urgency=low

  * Initial release (Closes: #550211)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 08 Oct 2009 22:09:05 +0200

=== debian/control ===
Source: stda
Section: math
Priority: extra
Maintainer: Dimitar Ivanov <dimitar.ivanov@mirendom.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://gnu.mirendom.net/stda.html

Package: stda
Architecture: all
Depends: gawk | mawk, gnuplot, ${misc:Depends}
Recommends: gv, evince
Description: simple tools for data analysis (stda)
 This package contains some primary tools for evaluating sums, averages,
 integrals, derivatives, histograms/distributions of 1-d numerical data, and
 eventually for plotting the results. The stand-alone programs (supporting
 the standard UNIX input and output pipelines) are intended for data processing
 from the command line. They are especially useful for straightforward analysis
 of number series where a complex analytical approach is not necessary.
 Following programs are included:
 .
  * maphimbu   - histogram builder for 1-d numerical and text data
  * mintegrate - evaluate average/sum/integral/derivative of 1-d numerical data
  * mmval      - find minimum and maximum value in a data set
  * muplot     - plot a multi-curve figure from multiple data by using Gnuplot
  * nnum       - produce a series of equally-separated integers or floats
  * prefield   - prepare input file for 'muplot' to plot 2-d fields by arrows

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/stda.
	$(MAKE) DESTDIR=$(CURDIR)/debian/stda install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## stda 1.1.1

=== debian/changelog ===
stda (1.1.1-1) unstable; urgency=low

  * New upstream release
  * mmval changed to have:
    + a default functionality (Closes: #647482)
    + a return code != 0 if unknown command option provided (Closes: #647483)
  * mintegrate fixed to provide correct results also with two numbers
    (Closes: #647484)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 16 Feb 2012 14:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,6 @@
   * mintegrate - evaluate average/sum/integral/derivative of 1-d numerical data
   * mmval      - find minimum and maximum value in a data set
   * muplot     - plot a multi-curve figure from multiple data by using Gnuplot
-  * nnum       - produce a series of equally-separated integers or floats
+  * nnum       - produce a series of equally separated integers or floats
   * prefield   - prepare input file for 'muplot' to plot 2-d fields by arrows

## stda 1.2.1

=== Makefile ===
--- 
+++ 
@@ -37,15 +37,11 @@
 
 %.1: %
 	fname=`basename $<` ; \
-	$< --help \
-		|sed -ne "s/Usage:\s*/[SYNOPSIS]\n/; /SYNOPSIS/,+1p;" \
-		|grep -v Options: \
-	> $(DIR_SRC)/synopsis.txt ; \
 	pname="`$< -h |grep ^$$fname |cut -f2- -d:`" ; \
-	help2man -N -n "$$pname" -I $(DIR_SRC)/synopsis.txt $< \
+	help2man -N -n "$$pname" $< \
 		|sed -e 's/\([( ]\)\\fB/\1/g; s/\([^\\]\)-/\1\\-/g; s/\([^\\]\)-/\1\\-/g;' \
-	> $<.1 ; \
-	rm -f tar.stamp $(DIR_SRC)/synopsis.txt
+		> $<.1 ; \
+	rm -f tar.stamp
 
 update:
 	cd $(DIR_SRC) && ls -1 \

=== debian/changelog ===
stda (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Wed, 21 Aug 2013 17:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Dimitar Ivanov <dimitar.ivanov@mirendom.net>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://gnu.mirendom.net/stda.html
 
 Package: stda

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir

=== debian/watch ===
version=3
http://gnu.mirendom.net/stda.html download.cgi/gnu/stda/stda-([\d\.]+).tar.gz

## stda 1.3.1

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	ups=`test -f debian/changelog && \
 		awk 'NR==3 {print $0}' debian/changelog | \
 		grep -i 'new upstream' >/dev/null 2>&1 && echo 0` ; \
-	exclude="--exclude=debian --exclude=*-stamp --exclude=*.stamp\
+	exclude="--exclude=debian --exclude=*-stamp --exclude=*.stamp \
 		--exclude=.*.swp" ; \
 	GZIP=--best ; \
 	export GZIP ; \
@@ -120,3 +120,11 @@
 	cd .. && \
 	sha1sum $(PNAME)-$$vers.tar.gz $(PNAME)-$$dvers.noarch.rpm \
 		> $(PNAME)-$$vers.sha1
+
+sig:
+	@test ! -f debian/changelog && exit ; \
+	vers=`cat $(VERSION)` ; \
+	dvers=`sed -n '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
+	cd .. \
+	&& gpg --armor --detach-sig $(PNAME)_$$vers.orig.tar.gz \
+	&& cp -fp $(PNAME)_$$vers.orig.tar.gz.asc $(PNAME)-$$vers.tar.gz.asc

=== debian/changelog ===
stda (1.3.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 18:29:47 +0100

stda (1.3.1-2) unstable; urgency=low

  * Bugfix: compatibility level set to 9 in debian/compat
  * Escapes added before tarball dots in debian/watch
  * Empty target 'override_dh_auto_clean' in debian/rules is enough instead
    of the previous 'clean' target
  * Semicolon added at the end of program's item long descriptions, tiny
    changes of the text formatting in debian/control.
  * Added 'Vcs-Browser' and 'Vcs-Git' fields in debian/control
  * debian/gbp.conf added to enable simple usage of 'git-buildpackage'

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Fri, 05 Sep 2014 00:50:51 +0200

stda (1.3.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.5
  * Debhelper compatibility level changed to 9
  * Package priority set to 'optional'
  * Package long description in debian/control adjusted
  * debian/copyright format updated to 1.0
  * debian/upstream/signing-key.asc added and debian/watch changed to enable
    automatic verification of the cryptographic signature on the upstream
    source archive
  * debian/rules is now minimalistic
  * Makefile modified to produce a gpg-signature-file of the package's archive

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 21 Aug 2014 22:44:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

override_dh_auto_clean:

%:
	dh $@ --parallel

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://gnu.mirendom.net/stda.html download.cgi/gnu/stda/stda-([\d\.]+)\.tar\.gz
